/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// AddGroupMembersRequest : An object containing the user ids of the members to add.

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct AddGroupMembersRequest {
    #[serde(rename = "user_ids", skip_serializing_if = "Option::is_none")]
    pub user_ids: Option<Vec<String>>,
}

impl AddGroupMembersRequest {
    /// An object containing the user ids of the members to add.
    pub fn new() -> AddGroupMembersRequest {
        AddGroupMembersRequest { user_ids: None }
    }
}
